package ast;

public class Const extends Expression {
    private double value;
    private String literal;
    public Const(String token) {
        this.literal = token;
        this.value = Double.parseDouble(token);
    }
    public double evaluate(Program p) {
        return value;
    }
    public String toString() {
        return literal;
    }
}
