Írjunk nyelvtant egy egyszerű programnyelvhez.
A programnyelv egyszerű kifejezéseket értékel ki, amelyekben értelmezett

* a 4 matematikai alapművelet,
* a hatványozás (`^`),
* a zárójelezés,
* az előjelváltás (`-`) és megtartás (`+`),
* mindezek megfelelő prioritással kezelve,
* az `abs` operátor,
* a függvényhívás nulla vagy több bemenő módú argumentummal, és
* az angol ábécé betűjével kezdődő, a továbbiakban aláhúzást, számot és/vagy az angol ábécé betűit tartalmazó azonosító mint változó (amiknek kezdetben 0 az értéke).

A számológép soronként olvas és értékel ki.

* Egy sorban egy kifejezés vagy függvénydefiníció szerepel.
* Ha a sor egy azonosítóval és az `=` tokennel lezdődik, akkor az `=` után szerplő kifejezés értékét el kell menteni a megfelelő memóriarekeszbe.
* A függvénydefiníció a `function` tokennel kezdődik, majd függvénynév, pereméterliste, `returns` és a kifejezés.
* Az üres sor megengedett.
* Egy sorban a `#` utáni rész komment, eldobható.
* A sorvége jelen kívül az egyéb whitespace karakterek bárhol megengedettek.

Készítsünk egy ANTLR4 nyelvtant, ami megvalósítja a számológépet.
