package ast;

import java.util.ArrayList;
import java.util.List;

public class Program {
    private List<Line> lines = new ArrayList<Line>();
    private double memory;
    public void addLine(Line l) {
        lines.add(l);
    }
    public void setMemory(double val) {
        memory = val;
    }
    public double getMemory() {
        return memory;
    }
    public void evaluate() {
        for (Line l: lines) {
            l.evaluate();
        }
    }
    public String toString() {
        StringBuilder str = new StringBuilder();
        for (Line l: lines) {
            str.append(l.toString());
        }
        return str.toString();
    }
}
